module UU
  module Finman
    module BusinessCase
      # Enumeration of Business case types.
      class BusinessCaseType

        # Ordinary business case for intraterritorial payments.
        INTRATERRITORIAL = 'INTRATERRITORIAL'

        # Business case for external subjects.
        EXTRATERRITORIAL = 'EXTRATERRITORIAL'

        # Business case for payments between two territories.
        INTERTERRITORIAL = 'INTERTERRITORIAL'

      end
    end
  end
end
